# Apply for an offer

| HTTP method | Endpoint                              |
| ----------- | ------------------------------------- |
| **POST**    | **/aff/v1/offers/{offer\_id}/applys** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

***Note: When the field of the offer\_approval is equal to 2 (public) , affiliates can apply directly to the offer without permission (this operation make affiliates approved to the offer in default). At the same time, affiliates can also directly get access to the tracking link.***

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field  | Type   | Description                                 |
| ------ | ------ | ------------------------------------------- |
| status | string | Affiliates’ application status of an offer. |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/aff/v1/offers/16/applys>

**Request POST** <http://{networkname}.api.offerslook.com/aff/v1/offers/16/applys>

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_application": {
          "status": "pending"
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/apply_for_an_offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
